Mailinglist Archive: opensuse-updates (59 mails)

< Previous Next >
openSUSE-SU-2010:0591-1 (important): sudo security update
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Wed, 8 Sep 2010 13:08:08 +0200 (CEST)
  • Message-id: <20100908110808.BF0ABBE31@xxxxxxxxxxxxxx>
openSUSE Security Update: sudo security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0591-1
Rating: important
References: #635843
Cross-References: CVE-2010-2956
Affected Products:
openSUSE 11.3
openSUSE 11.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

sudo's handling of the -g command line option allowed to
also specify -u in some cases, therefore allowing users to
actually run commands as root (CVE-2010-2956).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch sudo-3083

- openSUSE 11.2:

zypper in -t patch sudo-3083

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

sudo-1.7.2p7-2.1.1

- openSUSE 11.2 (i586 x86_64):

sudo-1.7.2-2.3.1


References:

http://support.novell.com/security/cve/CVE-2010-2956.html
https://bugzilla.novell.com/635843


< Previous Next >
This Thread
  • No further messages